Subject: bug#36434: 26.2; smie-rule-next-p needs smie--after to be defined

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 22 Jun 2021 16:11:55 +0200

Stefan Monnier <[email-masked]> writes:

> Basically, I think this is a documentation bug: the smie-rule-*
> functions are meant to be used for the :after and :before cases, but not
> for :elem where there isn't necessarily such a clear "current token"
> (tho I think it would be good to be more careful and try to
> define such a "current token" when we can).

Looking at the smie-rules-function doc string, this doesn't seem to have
been added?  My understanding of smie is...   er...  let's be
charitable and call it "not funny encompassing", so I don't feel
qualified to take a stab at it.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no